{
  "type": "minecraft:fishing",
  "pools": [
    {
      "bonus_rolls": 0,
      "entries": [
        {
          "type": "minecraft:loot_table",
          "quality": -1,
          "value": "vb:gameplay/fishing/algae",
          "weight": 85,
          "conditions": [{"condition": "minecraft:location_check","predicate": {
          "biomes": "#vb:algae_fishing"}},{
            "condition": "minecraft:inverted",
            "term": {
              "condition": "minecraft:entity_scores",
              "entity": "this",
              "scores": {
                "vb.entity.chance_boosted": 1
              }
            }
          }]
        },
        {
          "type": "minecraft:loot_table",
          "quality": -2,
          "value": "vb:gameplay/fishing/junk",
          "weight": 10
        },
        {
          "type": "minecraft:loot_table",
          "conditions": [
            {
              "condition": "minecraft:any_of",
              "terms": [
                {
                  "condition": "minecraft:match_tool",
                  "predicate": {
                    "predicates": {
                      "enchantments": [
                        {
                          "enchantments": "vb:treasure_finder"
                        }
                      ]
                    }
                  }
                },
                {
                  "condition": "minecraft:entity_properties",
                  "entity": "this",
                  "predicate": {
                    "type_specific": {
                      "type": "minecraft:fishing_hook",
                      "in_open_water": true
                    }
                  }
                }
              ]
            }
          ],
          "quality": 2,
          "value": "vb:gameplay/fishing/treasure",
          "weight": 5
        },
        {
          "type": "minecraft:loot_table",
          "quality": -1,
          "value": "vb:gameplay/fishing/fish",
          "weight": 85
        }
      ],
      "rolls": 1,
      "conditions": [
        {
          "condition": "minecraft:inverted",
          "term": {
            "condition": "minecraft:entity_scores",
            "entity": "this",
            "scores": {
              "vb.entity.guaranteed_fish": 1
            }
          }
        }
      ]
    },
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:loot_table",
          "value": "vb:gameplay/fishing/rare_fish",
          "weight": 5
        },
        {
          "type": "minecraft:loot_table",
          "value": "vb:items/live_catch/drowned_necromancer",
          "weight": 2,
          "conditions": [
            {
              "condition": "minecraft:entity_scores",
              "entity": "this",
              "scores": {
                "vb.entity.can_reel_in_drowned_necromancer": 1
              }
            }
          ]
        }
      ],
      "conditions": [
        {
          "condition": "minecraft:entity_scores",
          "entity": "this",
          "scores": {
            "vb.entity.guaranteed_fish": 1
          }
        }
      ]
    }
  ]
}